uk.ac.starlink.parquet

## Class ParquetIO

- java.lang.Object
- - uk.ac.starlink.parquet.ParquetIO

-     public class ParquetIO
      extends java.lang.Object

  Handles all the interactions with the parquet-mr libraries required by the high-level starjava parquet table I/O classes. If the parquet-mr libraries are not present, it may not be possible to instantiate this class.
  Since:
    9 Apr 2021

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParquetIO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParquetStarTable` | `readParquet(DataSource datsrc, ParquetTableBuilder builder, ParquetStarTable.Config config, boolean useCache, boolean tryUrl)` Reads a parquet table on behalf of a ParquetTableBuilder.
    `void` | `writeParquet(StarTable table, ParquetTableWriter writer, java.io.OutputStream out)` Writes a parqet table to an output stream on behalf of a ParquetTableWriter.
    `void` | `writeParquet(StarTable table, ParquetTableWriter writer, java.lang.String location)` Writes a parqet table to a named location on behalf of a ParquetTableWriter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParquetIO

          public ParquetIO()

  - ### Method Detail

    - #### readParquet

          public ParquetStarTable readParquet(DataSource datsrc,
                                              ParquetTableBuilder builder,
                                              ParquetStarTable.Config config,
                                              boolean useCache,
                                              boolean tryUrl)
                                       throws java.io.IOException

      Reads a parquet table on behalf of a ParquetTableBuilder.
      Parameters:
        `datsrc` - data source
        `builder` - handler providing configuration
        `config` - table reading configuration
        `useCache` - true for column caching, false for sequential
        `tryUrl` - whether to attempt opening non-file URLs
      Returns:
        loaded table
      Throws:
        `java.io.IOException`

    - #### writeParquet

          public void writeParquet(StarTable table,
                                   ParquetTableWriter writer,
                                   java.lang.String location)
                            throws java.io.IOException

      Writes a parqet table to a named location on behalf of a ParquetTableWriter.
      Parameters:
        `table` - table to write
        `writer` - handler providing configuration
        `location` - destination
      Throws:
        `java.io.IOException`

    - #### writeParquet

          public void writeParquet(StarTable table,
                                   ParquetTableWriter writer,
                                   java.io.OutputStream out)
                            throws java.io.IOException

      Writes a parqet table to an output stream on behalf of a ParquetTableWriter.
      Parameters:
        `table` - table to write
        `writer` - handler providing configuration
        `out` - destination stream
      Throws:
        `java.io.IOException`